> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lister Commandes



## OpenAPI

````yaml openapi.json get /commandes/
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /commandes/:
    get:
      tags:
        - commandes
        - commandes
      summary: Lister Commandes
      operationId: lister_commandes_commandes__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CommandeRead'
                type: array
                title: Response Lister Commandes Commandes  Get
components:
  schemas:
    CommandeRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        reference:
          type: string
          title: Reference
        statut:
          $ref: '#/components/schemas/StatutCommande'
        total:
          type: number
          title: Total
        articles:
          type: object
          title: Articles
        created_at:
          type: string
          format: date-time
          title: Created At
        marchand_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Marchand Id
        client_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Client Id
      type: object
      required:
        - id
        - reference
        - statut
        - total
        - articles
        - created_at
        - marchand_id
        - client_id
      title: CommandeRead
    StatutCommande:
      type: string
      enum:
        - en_attente
        - validée
        - annulée
        - en_cours
        - livrée
      title: StatutCommande

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.